--Mantra Speedway by Razyx

--You Can use 0, 1, -1 instead. 
local STRAIGHT = 0
local LEFT = 1 
local RIGHT = -1


Track =
{
   Name = "Mantra Speedway",
   --Track Image Info
   --Track Image must be 1280 x 720
   --Start Position on the Image x,y from Top Left
   Start = { 334, 172 },
   
   --How many pixels per meter ( Pixels / Length )
   --Measure a long straight and then manipulate from there
   Scale = 20 / 25,

   Layout = { 		0,			0,			RIGHT,		0,			0,			LEFT,		0,		0,
					LEFT,		0,			0,			LEFT,		0,			0,			LEFT,	0,
					LEFT,		0,			LEFT,		0,			RIGHT,		RIGHT,		RIGHT,	0,
					LEFT,		LEFT,		0,			LEFT,		RIGHT,		LEFT,		0,		RIGHT,
					0,			RIGHT,		0,			RIGHT,		0
   },   -- Straight 0 , Corner Left 1, Corner Right -1
   LayoutInfo = { 	600,		80,			135,		200,		85,			135,		50,		140,
					89.5,		160,		47,			90,			900,		195,		90,		60,
					45,			30,			25,			150,		10,			95,			91,		165,
					90,			126,		465,		110,		84,			200,		125,	54,
					110,		39.5,		180,		133,		130
   },      -- Straight Length [m] or Corner Angle [°]
   CornerRadius = { 0, 			0,			94,			0,			0,			162,		0,		0,
					294,		0,			0,			269,		0,			0,			120,	0,
					210,		0,			176,		0,			200,		100,		75,		0,
					80,			139,		0,			108,		140,		105,		0,		76,
					0,			100,		0,			45,			0
   },         -- Corner Radius [m], 0 for Straight
   Slope = { 		0, 			0,			0,			4,			6,			8,			0,		-6,
					-6,			-2,			0,			0,			0,			8,			2,		-4,
					-5,			0,			0,			0,			0,			0,			0,		0,
					0,			0,			10,			-4,			-4,			-4,			0,		0,
					0,			0,			0,			0,			0
   },         -- [%] (-: descending, +: climbing)
   Sportiness = {	0,			0,			0,			1,			1,			1,			0,		0,
					0,			0,			0,			0,			0,			0,			0,		0,
					0,			1,			2,			3,			2,			2,			2,		1,
					1,			0,			0,			0,			0,			1,			0,		0,
					0,			0,			0,			0,			0
   },         -- 0: no problems, 5: problems with untame car
   Camber = {		0,			-4,			-10,		0,			4,			8,			6,		4,
					5,			6,			10,			15,			0,			4,			10,		5,
					6,			0,			0,			-2,			-3,			-5,			-6,		0,
					0,			2,			0,			0,			0,			0,			0,		-6,
					-4,			-8,			-2,			-4,			0
   },         -- [°] (positive values: banking to left /, negative: banking to right \)
   Split1 = 402.25, --quarter mile
   Split2 = 4130.15, --fast sector
   --S2 3727.9
   --S3 3431.1
}
